gdb family: upgrade from 6.8 to 7.1

upgraded gdb, gdb-cross & gdb-cross-canadian recipes.

ignore_whitespace_changes.patch : this patch is not needed anymore
because the newer version fixed the issue differently.

rebased other patches to the newer version of the source code.

Added the --with-libelf line in the gdb-common.inc to fix a
configure faulre.

Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
This commit is contained in:
Nitin A Kamble 2010-06-28 08:51:08 -07:00 committed by Saul Wold
parent da46e7f705
commit 936a73eae5
13 changed files with 38 additions and 102 deletions

View File

@ -1,46 +0,0 @@
gdb configure checks CFLAGS haven't changed. Sadly if CFLAGS have a double
space in, this gets lost somewhere and convinces gdb the flags have changed.
Wipe out the test for now...
RP - 23/11/2007
---
gdb/gdbserver/configure | 7 -------
gdb/testsuite/configure | 7 -------
2 files changed, 14 deletions(-)
Index: gdb-6.6/gdb/testsuite/configure
===================================================================
--- gdb-6.6.orig/gdb/testsuite/configure 2007-11-23 10:25:08.000000000 +0000
+++ gdb-6.6/gdb/testsuite/configure 2007-11-23 10:27:36.000000000 +0000
@@ -1271,13 +1271,6 @@ echo "$as_me: current value: $ac_new_v
esac
fi
done
-if $ac_cache_corrupted; then
- { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
-echo "$as_me: error: changes in the environment can compromise the build" >&2;}
- { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
-echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
- { (exit 1); exit 1; }; }
-fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
Index: gdb-6.6/gdb/gdbserver/configure
===================================================================
--- gdb-6.6.orig/gdb/gdbserver/configure 2007-11-23 10:29:06.000000000 +0000
+++ gdb-6.6/gdb/gdbserver/configure 2007-11-23 10:29:20.000000000 +0000
@@ -1262,13 +1262,6 @@ echo "$as_me: current value: $ac_new_v
esac
fi
done
-if $ac_cache_corrupted; then
- { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
-echo "$as_me: error: changes in the environment can compromise the build" >&2;}
- { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
-echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
- { (exit 1); exit 1; }; }
-fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'

View File

@ -3,12 +3,12 @@ HOMEPAGE = "http://www.gnu.org/software/gdb/"
LICENSE="GPLv3+"
SECTION = "devel"
PRIORITY = "optional"
DEPENDS = "ncurses readline"
DEPENDS = "ncurses readline elfutils"
inherit autotools
SRC_URI = "${GNU_MIRROR}/gdb/gdb-${PV}.tar.gz \
file://no-werror.patch;patch=1"
file://no-werror.patch"
export CC_FOR_BUILD = "${BUILD_CC}"
export CXX_FOR_BUILD = "${BUILD_CXX}"
@ -23,14 +23,14 @@ EXTRA_OEMAKE = "'SUBDIRS=intl mmalloc libiberty opcodes bfd sim gdb etc utils'"
EXTRA_OECONF = "--disable-gdbtk --disable-tui --disable-x \
--with-curses --disable-multilib --with-readline --disable-sim \
${GDBPROPREFIX}"
${GDBPROPREFIX} --with-libelf=${STAGING_DIR_TARGET}"
GDBPROPREFIX = "--program-prefix=''"
do_configure () {
# override this function to avoid the autoconf/automake/aclocal/autoheader
# calls for now
(cd ${S} && gnu-configize) || die "failure in running gnu-configize"
oe_runconf
oe_runconf
}
RRECOMMENDS_gdb_append_linux = " glibc-thread-db "

View File

@ -4,6 +4,6 @@ DEPENDS = "ncurses-nativesdk expat-nativesdk gettext-nativesdk"
inherit cross-canadian
PR = "r10"
PR = "r0"
GDBPROPREFIX = "--program-prefix='${TARGET_PREFIX}'"

View File

@ -2,4 +2,4 @@ require gdb-cross.inc
SRC_URI += "file://sim-install-6.6.patch;patch=1"
PR = "r3"
PR = "r0"

View File

@ -2,10 +2,8 @@ require gdb-common.inc
inherit gettext
SRC_URI += "file://kill_arm_map_symbols.patch;patch=1 \
file://gdbserver-cflags-last.diff;patch=1;pnum=0 \
file://ignore_whitespace_changes.patch;patch=1 "
SRC_URI += "file://kill_arm_map_symbols.patch \
file://gdbserver-cflags-last.diff;striplevel=0 "
#LDFLAGS_append = " -s"
#export CFLAGS_append=" -L${STAGING_LIBDIR}"

View File

@ -1,13 +1,15 @@
--- gdb/gdbserver/Makefile.in.orig 2004-10-05 18:52:56.298419032 +0200
+++ gdb/gdbserver/Makefile.in 2004-10-05 18:53:10.442268840 +0200
@@ -97,8 +97,8 @@
Index: gdb/gdbserver/Makefile.in
===================================================================
--- gdb/gdbserver/Makefile.in.orig
+++ gdb/gdbserver/Makefile.in
@@ -89,8 +89,8 @@ WARN_CFLAGS = -Wall
CFLAGS = @CFLAGS@
# INTERNAL_CFLAGS is the aggregate of all other *CFLAGS macros.
-INTERNAL_CFLAGS = $(WARN_CFLAGS) ${CFLAGS} ${GLOBAL_CFLAGS} \
- ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${BFD_CFLAGS}
- ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS}
+INTERNAL_CFLAGS = $(WARN_CFLAGS) ${GLOBAL_CFLAGS} \
+ ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${BFD_CFLAGS} ${CFLAGS}
+ ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${CFLAGS}
# LDFLAGS is specifically reserved for setting from the command line
# when running make.

View File

@ -5,11 +5,11 @@
gdb/configure.ac | 8 ++------
4 files changed, 6 insertions(+), 10 deletions(-)
--- gdb-6.8.orig/bfd/warning.m4
+++ gdb-6.8/bfd/warning.m4
@@ -21,11 +21,11 @@ case "${host}" in
*) ;;
esac
Index: gdb-7.1/bfd/warning.m4
===================================================================
--- gdb-7.1.orig/bfd/warning.m4
+++ gdb-7.1/bfd/warning.m4
@@ -23,7 +23,7 @@ esac
# Enable -Werror by default when using gcc
if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
@ -18,13 +18,11 @@
fi
NO_WERROR=
if test "${ERROR_ON_WARNING}" = yes ; then
GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Werror"
--- gdb-6.8.orig/configure.ac
+++ gdb-6.8/configure.ac
@@ -2739,11 +2739,11 @@ AC_SUBST(stage1_checking)
# Enable -Werror in bootstrap stage2 and later.
Index: gdb-7.1/configure.ac
===================================================================
--- gdb-7.1.orig/configure.ac
+++ gdb-7.1/configure.ac
@@ -3371,7 +3371,7 @@ AC_SUBST(stage1_checking)
AC_ARG_ENABLE(werror,
[ --enable-werror enable -Werror in bootstrap stage2 and later], [],
[if test -d ${srcdir}/gcc && test x"`cat $srcdir/gcc/DEV-PHASE`" = xexperimental; then
@ -33,13 +31,11 @@
else
enable_werror=no
fi])
case ${enable_werror} in
yes) stage2_werror_flag="--enable-werror-always" ;;
--- gdb-6.8.orig/gdb/Makefile.in
+++ gdb-6.8/gdb/Makefile.in
@@ -140,13 +140,13 @@ READLINE_CFLAGS = @READLINE_CFLAGS@
# Where is expat? This will be empty if expat was not available.
Index: gdb-7.1/gdb/Makefile.in
===================================================================
--- gdb-7.1.orig/gdb/Makefile.in
+++ gdb-7.1/gdb/Makefile.in
@@ -151,9 +151,9 @@ READLINE_CFLAGS = @READLINE_CFLAGS@
LIBEXPAT = @LIBEXPAT@
WARN_CFLAGS = @WARN_CFLAGS@
@ -51,15 +47,13 @@
GDB_WARN_CFLAGS_NO_FORMAT = `echo " $(GDB_WARN_CFLAGS) " | sed "s/ -Wformat-nonliteral / /g"`
# Where is the INTL library? Typically in ../intl.
INTL = @LIBINTL@
--- gdb-6.8.orig/gdb/configure.ac
+++ gdb-6.8/gdb/configure.ac
@@ -1292,24 +1292,21 @@ AC_SUBST(TARGET_SYSTEM_ROOT)
AC_SUBST(TARGET_SYSTEM_ROOT_DEFINE)
Index: gdb-7.1/gdb/configure.ac
===================================================================
--- gdb-7.1.orig/gdb/configure.ac
+++ gdb-7.1/gdb/configure.ac
@@ -1525,15 +1525,12 @@ GDB_AC_WITH_DIR(SYSTEM_GDBINIT, system-g
AC_ARG_ENABLE(werror,
[ --enable-werror treat compile warnings as errors],
AS_HELP_STRING([--enable-werror], [treat compile warnings as errors]),
[case "${enableval}" in
- yes | y) ERROR_ON_WARNING="yes" ;;
+ yes | y) ERROR_ON_WARNING="no" ;;
@ -67,12 +61,6 @@
*) AC_MSG_ERROR(bad value ${enableval} for --enable-werror) ;;
esac])
# Enable -Werror by default when using gcc
if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
- ERROR_ON_WARNING=yes
+ ERROR_ON_WARNING=no
fi
WERROR_CFLAGS=""
-if test "${ERROR_ON_WARNING}" = yes ; then
- WERROR_CFLAGS="-Werror"
@ -80,11 +68,7 @@
# The entries after -Wno-pointer-sign are disabled warnings which may
# be enabled in the future, which can not currently be used to build
# GDB.
# NOTE: If you change this list, remember to update
@@ -1352,11 +1349,10 @@ then
AC_MSG_CHECKING(compiler warning flags)
# Separate out the -Werror flag as some files just cannot be
@@ -1587,7 +1584,6 @@ then
# compiled with it enabled.
for w in ${build_warnings}; do
case $w in
@ -92,5 +76,3 @@
*) # Check that GCC accepts it
saved_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $w"
AC_TRY_COMPILE([],[],WARN_CFLAGS="${WARN_CFLAGS} $w",)
CFLAGS="$saved_CFLAGS"

View File

@ -1,3 +1,3 @@
require gdb.inc
PR = "r7"
PR = "r0"